GPT(1)

NOME
gpt - compilador, interpretador e tradutor da linguagem G-Portugol

SINOPSE
  gpt [ -vhid ] [ -ots arq_saida ] arquivo1 arquivo2 ...

DESCRIÇÃO
gpt é um compilador simples para a linguagem G-portugol. Além de criar executáveis, pode interpretar algoritmos e traduzí-los para a linguagem C. Um algoritmo pode ser formado por vários arquivos, cada um podendo conter várias funções, por exemplo. Os arquivos são passados na linha de comando, sendo que o primeiro arquivo deve ser aquele que contém o bloco principal e a declaração do algoritmo. É possível, também, ter a lista de arquivos adicionadas automaticamente utilizando a variável de ambiente GPT_INCLUDE, que deve conter o caminho de cada arquivo separado por ":".

OPTIONS

-v  Exibe informações de versão e termina execução.

-h  Exibe sumário de opções termina execução.

-i  Executa o algoritmo em modo interpretação.

-d  Mostra dicas no relatório de erros.

-o arq_saída
    Compila o algoritmo e salva o arquivo executável com o nome arq_saída.

-t arq_saída
    Traduz o algoritmo para a linguagem C e salva o arquivo com o código resultante como arq_saída.

-s arq_saída
    Compila o algoritmo mas não cria código executável. Salva o arquivo com código em assembly como arq_saída.

VEJA TAMBÉM
nasm(1)

INFORMAÇÕES ADICIONAIS

Para maiores informações, visite o website em:
http://gpt.berlios.de

AUTOR
Thiago Silva <tsilva@sourcecraft.info>